# -*- rpm-spec -*-

Name:		sudo-approve-command
Version:	0.1
Release:	%autorelease
Summary:	Plugin for sudo to print command info and require approval

%global url https://codeberg.org/qsx/sudo-approve-command

License:	EUPL-1.2
URL:		%url
VCS:		%url
Source0:	sudo-approve-command-c8b6f245.tar.gz

BuildRequires:	gcc-c++ meson sudo-devel
Enhances:	sudo

%description
A plugin for sudo that prints information about the command that is to be run
and allows you to approve or reject running it.

Useful for tools that (think that they) need to run as root and just call sudo
themselves.


%prep
%setup -T -b 0 -q -n sudo-approve-command


%build
%meson
%meson_build


%install
%meson_install


%files
%license COPYING
%doc README.md
%{_libexecdir}/sudo/approve_command.so


%changelog
* Thu Jun 26 2025 Thomas Schneider <qsx@chaotikum.eu> 0.1-1
- Add RPM spec using rpkg-util
- Initial import
